Package org.eclipse.core.runtime

# Class Platform.OS

java.lang.Object
org.eclipse.core.runtime.Platform.OS

Enclosing class:
  `Platform`

public static final class Platform.OS extends Object
Convenience class to query for the current OS.

Since:
  3.30

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`is(String osString)`
`static boolean`
`isLinux()`
`static boolean`
`isMac()`
`static boolean`
`isWindows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### is

public static boolean is(String osString)

Parameters:
  `osString` - the identifier for the OS (use one of the constants that start with `OS_` in the `Platform` class).
Returns:
  `true` if the current platform is the one specified as a parameter, `false` in all other cases.
Since:
  3.30
See Also:
  - `Platform.getOS()`

### isWindows

public static boolean isWindows()

Returns:
  `true` if the current OS is Windows

### isLinux

public static boolean isLinux()

Returns:
  `true` if the current OS is Linux

### isMac

public static boolean isMac()

Returns:
  `true` if the current OS is MacOSX